<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="生产产线基础信息管理">



	<query id="CoreMenuzConfigure.GetMaxBaseCode" desc="获取当前父节点下，最大编号">
		<![CDATA[
			select max(PAGE_ID) from APP_PAGE_CONFIG where 1=1
		]]>
	</query>

	<query id="CoreMenuzConfigure.doAddMemu" desc="基础信息新增">
        <![CDATA[
            INSERT INTO APP_PAGE_CONFIG
						  (PAGE_ID,
						   PAGE_NAME,
						   PAGE_KEY,
						   ICO_KEY,
						   PAGE_TYPE,
						   SORT_CODE,
						   PAGE_SEQ,
						   VALIDFLAG,
						   MEMO,
						   CREATE_USERID,
						   CREATE_NAME,
						   CREATE_TIME)
						VALUES
						  (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, SYSDATE)
        ]]>
	</query>
	<query id="CoreMenuzConfigure.doUpdateMemu" desc="基础信息修改">
        <![CDATA[
            UPDATE APP_PAGE_CONFIG T
			   SET T.PAGE_NAME       = ?,
			   	   T.ICO_KEY		 = ?,
			       T.UPDATE_USERID   = ?,
			       T.UPDATE_NAME     =?,
			       T.UPDATE_TIME     = SYSDATE
			 WHERE T.PAGE_ID = ?
        ]]>
	</query>
	
		<query id="CoreMenuzConfigure.doUpdatePage" desc="基础信息修改">
        <![CDATA[
            UPDATE APP_PAGE_CONFIG T
			   SET T.PAGE_NAME  = ?,
			       T.PAGE_KEY   = ?,
			       T.ICO_KEY	= ?,
			       T.PAGE_SEQ   = ?,
			       T.MEMO       = ?,
			       T.UPDATE_USERID   = ?,
			       T.UPDATE_NAME     =?,
			       T.UPDATE_TIME     = SYSDATE
			 WHERE T.PAGE_ID = ?
        ]]>
	</query>
	
	
	
	<query id="CoreMenuzConfigure.doDelete" desc="基础信息删除">
        <![CDATA[
            UPDATE APP_PAGE_CONFIG T
			   SET T.VALIDFLAG	     = ?,
			   	   T.DELETE_USERID   = ?,
			       T.DELETE_NAME     =?,
			       T.DELETE_TIME     = SYSDATE
			 WHERE T.PAGE_ID = ?
        ]]>
	</query>


	<query id="CoreMenuzConfigure.TreeData" desc="获取树形结构数据。">
		<![CDATA[
			  select T.PAGE_ID,T.PAGE_NAME,T.SORT_CODE from APP_PAGE_CONFIG T WHERE T.VALIDFLAG='10'
		]]>
	</query>
	
		<query id="CoreMenuzConfigure.getPageData" desc="获取页面数据。">
		<![CDATA[
			  select PAGE_ID,
			       PAGE_NAME,
			       PAGE_KEY,
			       PAGE_TYPE,
			       ICO_KEY,
			       SORT_CODE,
			       PAGE_SEQ,
			       VALIDFLAG,
			       MEMO,
			       CREATE_USERID,
			       CREATE_NAME,
			       CREATE_TIME,
			       UPDATE_USERID,
			       UPDATE_NAME,
			       UPDATE_TIME,
			       DELETE_USERID,
			       DELETE_NAME,
			       DELETE_TIME 
			      from APP_PAGE_CONFIG T 
			      WHERE T.VALIDFLAG=?
			      and T.SORT_CODE=?
			      and T.PAGE_TYPE=?
		]]>
	</query>


</queryMap>